The ‘VSTS For Database Professionals SQL Server Data-Tier Application’ Package Did Not Load Correctly

Upgrading SQL or installing SQL management tools (and various other actions) can break Visual Studio 2010 and cause this error on start up:

The ‘VSTS for Database Professionals Sql Server Data-tier Application’ package did not load correctly

This is because SQL Express 2008 is part of the Visual Studio 2010 install and tampering with the SQL Schema causes an error.

To fix this:

  1. From the Visual Studio 2010 media, run \WCU\DAC\DACFramework_enu.msi, \WCU\DAC\DACProjectSystemSetup_enu.msi, and \WCU\DAC\TSqlLanguageService_enu.msi
  2. Reinstall Visual Studio 2010 Service Pack 1

This should fix the error.

VN:F [1.9.22_1171]
Rating: 0.0/10 (0 votes cast)

Leave a comment

Your email address will not be published. Required fields are marked *